---@meta

---@class URideGameInstance_C : URGGameInstance
---@field UberGraphFrame FPointerToUberGraphFrame
---@field CurrentCheckpointIndex int32
---@field ['As RGGame User Settings'] URGGameUserSettings
---@field PlayerSave UBP_SaveGamePlayer_C
local URideGameInstance_C = {}

function URideGameInstance_C:StartGameSound() end
---@param GameName FString
---@param joinOption EJoinOptions
---@param Options FString
function URideGameInstance_C:CreateTravelOptions(GameName, joinOption, Options) end
function URideGameInstance_C:UpdateCheckPointUI() end
---@param CheckpointIndex int32
function URideGameInstance_C:GetCurrentCheckpointIndex(CheckpointIndex) end
---@param CheckpointIndex int32
---@param ForceSet boolean
function URideGameInstance_C:SetCurrentCheckpointIndex(CheckpointIndex, ForceSet) end
function URideGameInstance_C:OnFailure_1100FB7D41DA8A44E85A6A9A393D5D06() end
function URideGameInstance_C:OnSuccess_1100FB7D41DA8A44E85A6A9A393D5D06() end
function URideGameInstance_C:ReceiveInit() end
function URideGameInstance_C:ApplySoundSettings() end
---@param Player APlayerController
---@param GameName FString
---@param joinOption EJoinOptions
function URideGameInstance_C:CreateGame(Player, GameName, joinOption) end
---@param Widget UCommonActivatableWidget
function URideGameInstance_C:CreateSession(Widget) end
---@param Widget UCommonActivatableWidget
function URideGameInstance_C:FailedToCreateSession(Widget) end
---@param SaveGameObject URGSaveGame
function URideGameInstance_C:StaticSave(SaveGameObject) end
---@param SaveGameObject URGSaveGame
function URideGameInstance_C:StaticLoad(SaveGameObject) end
---@param NewPlayer ULocalPlayer
---@param PIEInstance int32
function URideGameInstance_C:CreateOrLoadPlayerSaveGame(NewPlayer, PIEInstance) end
---@param SaveGame ULocalPlayerSaveGame
function URideGameInstance_C:SaveLoaded(SaveGame) end
---@param EntryPoint int32
function URideGameInstance_C:ExecuteUbergraph_RideGameInstance(EntryPoint) end


